package com.sw.mes.fb.turnstore.service;


import com.sw.mes.core.base.BaseService;
import com.sw.mes.fb.turnstore.dto.vo.TurnStoreSenVo;
import com.sw.mes.fb.turnstore.entity.TurnStoreSend;


/**
 * @Author
 * @Description：
 * @Date:
 * @Modified By:
 */
public interface TurnStoreSendService extends BaseService<TurnStoreSend> {
    TurnStoreSenVo getTurnStoreSendDtoById(Long id);

    void updateStateById(Long id, int i, String remark);

    void affirmById(Long id, int i, Integer userID, String username, String remark);

    void cancel(Long id, int i);

    TurnStoreSend save(TurnStoreSend obj);
}
